[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageReplications;
    localvar={
	.headers="\u4e3b\u673a\u540d";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="\u590d\u5236\u4e3b\u673a";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="\u4e3b\u673a\u540d";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .ipaddress.space=20;
  .port.space=60;
  .field.height=30;
  .label.left.size=60;
  .label.size=75;

  .out.enabled="\u542f\u7528\u5916\u53d1\u6295\u5bc4";
  .out.send = "\u53d1\u9001:";
  .out.discussiongroups = "\u8ba8\u8bba\u7ec4:";
  .out.items=["\u6240\u6709\u8ba8\u8bba\u7ec4","\u65e0\u8ba8\u8bba\u7ec4","\u6307\u5b9a\u7684\u8ba8\u8bba\u7ec4","\u9664\u6307\u5b9a\u8ba8\u8bba\u7ec4\u4e4b\u5916\u7684\u6240\u6709\u7ec4"];
  .out.internalhost = "\u6307\u5b9a\u8fdc\u7a0b\u4e3b\u673a\u4e3a\u5185\u90e8\u4e3b\u673a";
  .conn.host="\u8fdc\u7a0b\u4e3b\u673a\u540d:";
  .conn.domain="\u57df :";
  .conn.ip="IP \u5730\u5740:";
  .conn.port="\u7aef\u53e3:";
  .conn.maxreaders="\u6700\u5927\u7528\u6237\u6570\u91cf :";
  .conn.maxfeeds="\u6700\u5927\u6295\u5bc4\u91cf :";
  .conn.timeout="\u8d85\u65f6 :";
  .conn.user="\u670d\u52a1\u5668\u7528\u6237:";
  .conn.port="\u8fdc\u7a0b\u670d\u52a1\u5668\u7aef\u53e3:";
  .conn.port.userdefine = "\u4f7f\u7528\u8be5\u7aef\u53e3:";
  .conn.port.default = "\u4f7f\u7528\u7aef\u53e3 119 (\u4e0e\u8be5\u670d\u52a1\u5668\u76f8\u540c)";
  .conn.ssl = "\u5bf9\u5916\u8fde\u63a5\u7684 SSL \u8bbe\u7f6e";
  .conn.ssl.ofserver = "\u4f7f\u7528\u8be5\u670d\u52a1\u5668\u7684 SSL \u8bbe\u7f6e";
  .conn.ssl.remotessl = "\u8fdc\u7a0b\u670d\u52a1\u5668\u4f7f\u7528 SSL";
  .conn.ssl.remotenossl = "\u8fdc\u7a0b\u670d\u52a1\u5668\u4e0d\u4f7f\u7528 SSL";
  .conn.replica="\u6307\u5b9a\u8fdc\u7a0b\u4e3b\u673a\u4e3a\u540c\u6b65\u526f\u672c";
  .conn.replicavalue=false;

  .in.active = "\u542f\u7528\u5916\u6765\u6295\u5bc4";
  .in.newgroup = "\u63a5\u53d7\u5404\u7ec4\u7684\u65b0\u7ec4\u4e3b\u5bfc\u6587\u7ae0:";
  .in.newgroup.action = "\u6536\u5230\u65b0\u7ec4\u4e3b\u5bfc\u6587\u7ae0\u540e:";
  .in.newgroup.choices = ["\u521b\u5efa\u7ec4", "\u5c06\u7535\u5b50\u90ae\u4ef6\u53d1\u9001\u7ed9\u7ba1\u7406\u5458","\u521b\u5efa\u65e5\u5fd7\u6761\u76ee","\u5ffd\u7565" ];
  .in.rmgroup = "\u63a5\u53d7\u5404\u7ec4\u7684\u65b0\u7ec4\u4e3b\u5bfc\u6587\u7ae0:";
  .in.rmgroup.action = "\u6536\u5230\u65b0\u7ec4\u4e3b\u5bfc\u6587\u7ae0\u540e:";
  .in.rmgroup.choices = ["\u521b\u5efa\u7ec4", "\u5c06\u7535\u5b50\u90ae\u4ef6\u53d1\u9001\u7ed9\u7ba1\u7406\u5458","\u521b\u5efa\u65e5\u5fd7\u6761\u76ee","\u5ffd\u7565" ];


  .rest.title=[titled, "\u8fde\u63a5\u9650\u5236"];
  .rest.require.login="\u8fde\u63a5\u65f6\u8ba4\u8bc1\u7528\u6237";
  .rest.hcl.enable="\u542f\u7528\u4e3b\u673a\u9650\u5236";
  .rest.hcl.table.perm.header="\u6743\u9650";
  .rest.hcl.table.patt.header="\u4e3b\u673a\u6a21\u5f0f";
  .rest.hcl.perm.labels=["\u5141\u8bb8", "\u62d2\u7edd"];
  .rest.hcl.perm.items=["+", "-"];

  .service.nntp.service.user=nsnews;
  .service.nntp.network.servername="andy.mcom.com";
  .service.nntp.network.domain="mcom.com";
  .service.nntp.network.port=119;
  .service.nntp.network.maxreaders=50;
  .service.nntp.network.maxfeeds=10;
  .service.nntp.network.timeout=240;
  .service.nntp.network.dohostcontrol="true";
  .service.nntp.network.requirelogin="true";
  .service.nntp.network.ipaddress="";
  .service.nntp.network.accepthosts=
  [
    ["+", "*.mcom.com"],
    ["+", "*.netscape.com"],
    ["-", "*.microsoft.com"]
  ];
};

content=
[
  { /* Hostname panel */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* host name label */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.conn.host;
            id=connhost;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* host name textfield */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$hostname;
          } /* End name textfield */
        ]
      }
    ]
  }, /* End Hostname Panel */
  { /* seperated component space */
    ctrl=vstrut;
    size=$.g.comp.space.sep;
  },
  {
    ctrl=togglepane;
    text=$.conn.replica;
    val=$replica;
    modeinverse=true;
    content =
    [
      { /* start of Outgoing settings frame */
        ctrl=togglepane;
        text=$.out.enabled;
        val=$outgoing;
        /*ctrl=pane;
        border=$.conn.title;*/
        content=
        [ /* start of conn. settings contents */

          { /* pane containing seperated left and right input fields */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* pane containing seperated left and right input fields */

              { /* input fields that are on the left */
                ctrl=pane;
                layout=[ybox];
                content=
                [ /* contents in left input fields */

                  { /* Start of Send: Combo boxe */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of host name */
                      { /* Send label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.send;
                        id=connhost;
                        label=hostname;
                      }, /* host name label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Send discussion group choice */
                        ctrl=choice;
                        items = $.out.items;
                        aligny=0.5;
                        label=hostname;
                        val=$sendtype;
                      } /* Send discussion group choice */
                    ] /* host name contents */
                  }, /* End of hostname field */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Domain */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of Discussion group regular expression text field */
                      { /* Discussion groups */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.discussiongroups;
                        id=conndomain;
                        label=domain;
                      }, /* Domain label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Discussion group regular expression textfield */
                        ctrl=text;
                        aligny=0.5;
                        label=domain;
                        val=$sendpattype;
                      } /* Discussion group regular expression textfield */
                    ] /* Discussion group contents */
                  }, /* End of Discussion group */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Feed Port */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of port */
                      { /* port label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.conn.port;
                        id=connip;
                        label=ipaddress;
                      }, /* port label */
                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */
                      {
                        ctrl=text;
                        aligny=0.5;
                        label=outgoingport;
                        val=$outport;
                      }
                     ]
                  },
                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  { /* SSL Settings */
                    ctrl=choice;
                    style=radio;
                    items=["\u4f7f\u7528\u8be5\u670d\u52a1\u5668\u7684 SSL \u8bbe\u7f6e","\u8fdc\u7a0b\u670d\u52a1\u5668\u4f7f\u7528 SSL","\u8fdc\u7a0b\u670d\u52a1\u5668\u4e0d\u4f7f\u7528 SSL"];
                    /*labels=["\u4f7f\u7528\u8be5\u670d\u52a1\u5668\u7684 SSL \u8bbe\u7f6e","\u8fdc\u7a0b\u670d\u52a1\u5668\u4f7f\u7528 SSL","\u8fdc\u7a0b\u670d\u52a1\u5668\u4e0d\u4f7f\u7528 SSL"];*/
                    val=$ssl;
                  },
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  {
                    ctrl=togglepane;
                    text=$.out.internalhost;
                    val=$internal;
                  }
                ] /* contents in left input fields */
              } /* input fields that are on the left */

            ] /* pane containing seperated left and right input fields */
          } /* pane containing seperated left and right input fields */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */
      { /* seperated component space */
        ctrl=vstrut;
        size=$.g.comp.space.sep;
      },
      { /* Start of incoming settings */
        ctrl=togglepane;
        text=$.in.active;
        val=$incoming;
        content=
        [ /* newgroup control article */
          {
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* newgroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$newgrouppat;
                  } /* newgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup.action;
                    val=$.service.nntp.network.requirelogin;
                  }, /* When newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When newgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.newgroup.choices;
                    val=$newgroupaction;
                  } /* newgroup textbox */
                ]
              }

            ]
          },
          { /* rmgroup contents */
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* rmroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$rmgrouppat;
                  } /* rmgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup.action;
                    val=$rmgroupaction;
                  }, /* When rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When rmgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.rmgroup.choices;
                    val=$.service.nntp.network.dohostcontrol;
                  } /* rmgroup textbox */
                ]
              }

            ]
          }

        ] /* restrictions group contents */
      } /* End of connection restrictions group */

    ] /* END OF TOGGLE REPLICA PANEL */
  }

]; /* network panel contents */

} /* network panel spec */
]
